import { NotifMessage } from "./index.js";
export declare abstract class NotifProviderRoot {
    protected token: string;
    getLabel(): string;
    isApplicableForNotif(notifMessage: NotifMessage): boolean;
    isUserNotifProvider(): boolean;
    postNotification(notifMessage: NotifMessage): Promise<void>;
}
